Chess Now! IconChess Now
API ReferenceFriends

Get your pending friend requests

GET
/api/me/friend-requests

Fetches all pending incoming and outgoing friend requests.

Header Parameters

cookie?string
authorization?string
Match^Bearer .*

Response Body

application/json

curl -X GET "https://example.com/api/me/friend-requests"
{  "success": true,  "data": [    {      "id": 1,      "createdAt": "2024-01-01T12:00:00Z",      "fromId": "123e4567-e89b-12d3-a456-426614174000",      "toId": "987e6543-e21b-34d5-a678-426614174000",      "status": "pending",      "from": {        "id": "123e4567-e89b-12d3-a456-426614174000",        "name": "John Doe",        "username": "johndoe",        "createdAt": "2024-01-01T12:00:00Z",        "updatedAt": "2024-01-01T12:00:00Z",        "botOwnerId": null,        "rating": 1200,        "rd": 350,        "vol": 0.06      },      "to": {        "id": "987e6543-e21b-34d5-a678-426614174000",        "name": "Jane Doe",        "username": "janedoe",        "createdAt": "2024-01-01T12:00:00Z",        "updatedAt": "2024-01-01T12:00:00Z",        "botOwnerId": null,        "rating": 1200,        "rd": 350,        "vol": 0.06      }    }  ]}